# Тема 3 "Зеленкина Ксения Михайловна"
# Общее контрольное задание

## 1.
import cmath
n = ((round(cmath.phase(0.2+0.8j),2)) * 20)
a, b = divmod(n, 3)
print(a,b)

## 2.
import time
Mtime = time.gmtime(time.time() + 3 * 3600)
print(f'{Mtime.tm_hour}:{Mtime.tm_min}')
start_time = time.time()

## 3.
import random
spis = ['Понедельник', 'Вторник', 'Среда', 'Четверг', 'Пятница', 'Суббота', 'Воскресенье']
l = random.sample(spis, 3)
print(l)

## 4.
import random
num = list(range(14, 32, 3))
res = random.choice(num)
print(res)

## 5.
import random
import string
N = round(random.gauss(15, 4))
l = string.ascii_uppercase
c = random.sample(l, N)
print(c)
print(N)
print(f'Длина массива: {len(c)}')

## 6.
import time
NewMtime = time.time() + 3*3600  # Обновляем текущее московское время
inter_minutes = (NewMtime - start_time) / 60
print(inter_minutes)